### Signal

# Gtk FontChooser::font-activated

deprecated: 4.10

#### Declaration

    void
    font_activated (
      GtkFontChooser* self,
      gchar* fontname,
      gpointer user_data
    )

#### Description [src]

Emitted when a font is activated.

This usually happens when the user double clicks an item, or an item is selected and the user presses one of the keys Space, Shift+Space, Return or Enter.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Deprecated since: 4.10
Use `GtkFontDialog` and `GtkFontDialogButton` instead.

#### Parameters

`fontname`

  Type: `gchar*`

  The font name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.